<?php



$errors = array();
$info = array();
$info_success = array();





//check if action is save news



//validate the title
if(!empty($_POST['title']))
{
   $title = mysqli_real_escape_string($dbc, $_POST['title']);
   
   $_SESSION['title'] = $title;
 
}
else
{
   $errors[] = '<p> * </p>';
}


//validate the code
if(!empty($_POST['code']))
{
   $code = mysqli_real_escape_string($dbc, $_POST['code']);
   
   $_SESSION['code'] = $code;
 
}
else
{
   $errors[] = '<p> * </p>';
}



//collect the description
$description = (!empty($_POST['description']))? (mysqli_real_escape_string($dbc,$_POST['description'])): 
 NULL;
$_SESSION['description'] = $description;


//collect the status
$status = (!empty($_POST['status']))? (mysqli_real_escape_string($dbc,$_POST['status'])): 
 NULL;
$_SESSION['status'] = $status;




//validate the faculty
if(($_POST['faculty'] == 0))
{
	$errors[] = '<p> * </p>';
 
 
}
else
{	  

	$faculty = mysqli_real_escape_string($dbc, $_POST['faculty']);
    $_SESSION['faculty'] = $faculty;
   
}



//finaly get security id
$user_id = get_user_id();


$security_id = get_security_id($user_id);



 
 
 
if(empty($errors))
{
	//destroy session if there is no error
	
	unset($_SESSION['title']);
	unset($_SESSION['description']);
    unset($_SESSION['code']);
	unset($_SESSION['status']);
	unset($_SESSION['faculty']);
		
	
	 //check if the query is for adding den add
	
	
		$q = "INSERT INTO `departments`(`id`, `faculty_id`, `title`, `code`,  `description`, `status`, `date_added`, `added_by`) 
				VALUES (NULL,'$faculty','$title', '$code', '$description', '$status',NOW(),'$security_id')";
							
							
		$r = mysqli_query($dbc,$q);
	
	if($r)
	{
		$info_success['success'] = 'Successfully added!';
		header("Location: gateway.php?act=view_departments&is=".urlencode($info_success['success']).""); //is - info success
		
	}
	else
	{
		$errors['error'] =  'Department not added due to a system error. We apologize for any inconvenience.';
										
		header("Location: gateway.php?act=add_departments&error=".urlencode($errors['error'])."");
	}
	
}
else
{//stay back in departments form


	$errors['error'] =  'Fill the form appropriately, take note of <span class="ast">*</span>.';
										
	header("Location: gateway.php?act=add_departments&error=".urlencode($errors['error'])."");

}



?>